/**
 * @file  CRC.h
 * @brief Schnittstelle fuer 32bit/16bit CRC - Routinen.
 */
//////////////////////////////////////////////////////////////////////
#ifndef _CRC_H_
#define _CRC_H_

extern void InitCRC32Table();
extern unsigned int GetCRC32(unsigned char *data, unsigned int size, unsigned int crc = 0xFFFFFFFF, unsigned char closure = true);
extern unsigned short GetCRC16(unsigned char *data, unsigned int size, unsigned short crc = 0xFFFF);

#endif

