/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package testapplication;

import com.sun.jna.*;
import com.sun.jna.win32.StdCallFunctionMapper;
import java.util.*;

/**
 *
 * @author bottmann
 */
public class Main {
  
    public interface DFC extends Library {

        // Öffnen eines Kommunikationskanals zu Terminal(s)
        int DFCComOpenIV(int channelID, int deviceID, int commType, String commString, int commValue, int commTimeout);
        // Schliessen des zuvor mit DFCComOpenIV geöffneten Kanals
        void DFCComClose(int channelID);

        // Senden einer Displaynachricht an das Terminal
        int DFCComSendMessage(int channelID, int deviceID, int msgDelay, int msgAction, int msgAudio, String msg, int msgLen);
  }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {

        String msg = "Nachrichtenzeile 1\rNachrichtenzeile 2\rBoxenüberschrift\rText in der Anzeigebox 1\rText in der Anzeigebox 2...";
        String commString = "COM1";
        int channelID = 1;
        int deviceID = 254;

        HashMap optionMap = new HashMap();
        StdCallFunctionMapper mapper = new StdCallFunctionMapper();
        optionMap.put(Library.OPTION_FUNCTION_MAPPER, mapper);

        DFC INSTANCE = (DFC)Native.loadLibrary("DFComDLL", DFC.class, optionMap);

        if (INSTANCE.DFCComOpenIV(channelID, 31, 1, commString, 38400, 1000) == 1)
        {
            INSTANCE.DFCComSendMessage(channelID, deviceID, 5, 0, 1, msg, msg.length());
            INSTANCE.DFCComClose(channelID);
        }
    }

}
